logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



Apache httpd 2.4.17 available

 
Post new topic   Reply to topic    Apache Forum Index -> News & Hangout



View previous topic :: View next topic  
Author Message
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Mon 21 Sep '15 10:08    Post subject: Apache httpd 2.4.17 available Reply with quote

Apache 2.4.17 is now available here at the download pages.


Change log at https://www.apachelounge.com/Changelog-2.4.html

Noticable is the new mod_http2,
see HowTo & Info at https://www.apachelounge.com/viewtopic.php?p=31829

Build with:
nghttp2 1.3.4
apr 1.5.2 with IPv6 enabled
apr-util 1.5.4 with Crypto OpenSSL enabled
apr-iconv 1.2.1
openssl 1.0.2d +asm
zlib 1.2.8 +asm
pcre 8.37 with JIT, SUPPORT_UTF8 and REBUILD_CHARTABLES enabled
httpd.exe with OPENSSL_Applink and SupportedOS Manifest
libxml2 2.9.2
lua 5.1.5
expat 2.1.0


Last edited by Steffen on Fri 11 Dec '15 23:40; edited 13 times in total
Back to top
gijs



Joined: 27 Apr 2012
Posts: 186
Location: The Netherlands

PostPosted: Thu 08 Oct '15 23:11    Post subject: Reply with quote

Just curious, does the Linux version of Apache 2.4.16 or 2.4.17 support http/2 out of the box? If not what steps are required to enable it?
Back to top
James Blond
Moderator


Joined: 19 Jan 2006
Posts: 6255
Location: Germany, Next to Hamburg

PostPosted: Fri 09 Oct '15 11:35    Post subject: Reply with quote

If mod_h(ttp)2 is in 2.4.17 ( now it looks that it will be) then you have to load the module and enable it as Steffen posted above.

2.4.16 does not have that module yet.
Back to top
jack01



Joined: 28 Feb 2014
Posts: 27

PostPosted: Fri 09 Oct '15 17:48    Post subject: Reply with quote

Is there already known what is going to be official settings for 2.4.17 official final version? You know changing names from "h2" to "http2" makes some confusion.
Now the settings are (in development):

Code:

LoadModule h2_module modules/mod_h2.so

<IfModule h2_module>
ProtocolsHonorOrder On
Protocols h2 http/1.1
</IfModule>


Will all of the "h2" in above settings be changed to "http2" or is there some other logic?
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Fri 09 Oct '15 21:44    Post subject: Reply with quote

Only

LoadModule h2_module modules/mod_h2.so

is changed to

LoadModule h2_module modules/mod_http2.so
Back to top
glsmith
Moderator


Joined: 16 Oct 2007
Posts: 2123
Location: Sun Diego, USA

PostPosted: Fri 09 Oct '15 22:38    Post subject: Reply with quote

Hmmm, are you sure? Can't be.

From mod_http2.c at the 2.4.17 tag I see;
AP_DECLARE_MODULE(http2) = {
STANDARD20_MODULE_STUFF,

Using LoadModule h2_module modules/mod_http2.so I get;
httpd: Syntax error on line 116 of C:/Apache24h2/conf/httpd.conf: Can't locate API module structure
`h2_module' in file C:/Apache24h2/modules/mod_http2.so: No error

The IfModule will never error because it only looks to see if h2_module exists, not if it is correct or not. Everything inside it while still h2_module will simply be disgarded however. So it should be;

Code:
LoadModule http2_module modules/mod_http2.so
<IfModule http2_module>
    ProtocolsHonorOrder On
    Protocols h2 http/1.1
</IfModule>
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Fri 09 Oct '15 22:57    Post subject: Reply with quote

My answer was based on the documentation :

Module Identifier: h2_module

Looks the docu is not up to date.
Back to top
glsmith
Moderator


Joined: 16 Oct 2007
Posts: 2123
Location: Sun Diego, USA

PostPosted: Fri 09 Oct '15 23:24    Post subject: Reply with quote

Ah I see, I guess it was missed during the big rename.
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Sat 10 Oct '15 10:34    Post subject: Reply with quote

See the how to at http://www.apachelounge.com/viewtopic.php?p=31829
Back to top
jack01



Joined: 28 Feb 2014
Posts: 27

PostPosted: Sat 10 Oct '15 19:40    Post subject: Reply with quote

I see http/2 in Apache httpd 2.4.17 is supported in OpenSSL 1.0.2d.
a) Will there be http/2 support also in OpenSSL 1.0.1 series?
b) And if yes, is there a plan to have VC10 with OpenSSL 1.0.1 with http/2 support in apachelounge.com? You know I would just like to have minimal change on production server with http/2 support.
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Sat 10 Oct '15 20:24    Post subject: Reply with quote

Mod_http works now only with OpenSSL 1.0.2 (ALPN). Not seen any plan they backport ALPN to 1.0.1.

I plan to make VC10 and VC11 with only OpenSSL 1.0.2. With 2.4.16 I already build httpd with OpenSSL_Applink, for compatibility between OpenSSL versions with your apps (like PHP). So it should not be problem that you step then to 1.0.2.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> News & Hangout
Page 1 of 1